<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_favorite_top_bg"
        app:layout_constraintDimensionRatio="h,1125:661"
        app:layout_constraintTop_toTopOf="parent" />

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" ">

        <TextView
            android:id="@+id/tv_count"
            style="@style/_titleTextAppearance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="当前席位(0/3)" />

        <TextView
            android:id="@+id/tv_add"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="@dimen/dp_16"
            android:drawableStart="@mipmap/ic_shopping_cart"
            android:drawablePadding="@dimen/dp_4"
            android:gravity="center"
            android:text="购买席位"
            android:textColor="@color/color_125ffe"
            android:textSize="@dimen/sp_14"
            android:textStyle="bold" />
    </com.example.base.widget.TitleBar>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/mRecyclerView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_5"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar"
        tools:listitem="@layout/listitem_seat_manage" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="添加授权"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>